Bug 208222 - [new port] net-mgmt/crmsh: Command-line interface for High-Availability cluster management
Summary: [new port] net-mgmt/crmsh: Command-line interface for High-Availability clust...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on: 208221
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-22 23:33 UTC by David Shane Holden
Modified: 2016-03-26 17:30 UTC (History)
1 user (show)

See Also:


Attachments
crmsh.shar (15.14 KB, application/x-shar)
2016-03-22 23:33 UTC, David Shane Holden
no flags Details
poudriere testport (42.95 KB, text/x-log)
2016-03-22 23:33 UTC, David Shane Holden
no flags Details
crmsh.shar (15.46 KB, application/x-shar)
2016-03-23 14:31 UTC, David Shane Holden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Shane Holden 2016-03-22 23:33:01 UTC
Created attachment 168518 [details]
crmsh.shar
Comment 1 David Shane Holden 2016-03-22 23:33:25 UTC
Created attachment 168519 [details]
poudriere testport
Comment 2 David Shane Holden 2016-03-23 14:31:53 UTC
Created attachment 168538 [details]
crmsh.shar

Fix pkg-descr.
Comment 3 commit-hook freebsd_committer 2016-03-24 17:38:28 UTC
A commit references this bug:

Author: tijl
Date: Thu Mar 24 17:37:45 UTC 2016
New revision: 411806
URL: https://svnweb.freebsd.org/changeset/ports/411806

Log:
  Add net-mgmt/crmsh.

  Configure, manage and troubleshoot clusters from the command line, with full
  tab completion and extensive help. crmsh also provides advanced features
  like low-level cluster configuration, cluster scripting, package management,
  and history exploration tools giving you a complete insight into the state
  of your cluster.

  PR:		208222
  Submitted by:	David Shane Holden <dpejesh@yahoo.com>

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/crmsh/
  head/net-mgmt/crmsh/Makefile
  head/net-mgmt/crmsh/distinfo
  head/net-mgmt/crmsh/files/
  head/net-mgmt/crmsh/files/patch-Makefile.am
  head/net-mgmt/crmsh/pkg-descr
  head/net-mgmt/crmsh/pkg-plist
Comment 4 Tijl Coosemans freebsd_committer 2016-03-24 17:56:43 UTC
Committed with DOCS and MANPAGES option added.
Comment 5 David Shane Holden 2016-03-26 02:55:36 UTC
Looks like 

xmllint:${PORTSDIR}/textproc/libxml2 \
xsltproc:${PORTSDIR}/textproc/libxslt

needs to be added to DOCS_BUILD_DEPENDS and I'm not sure why you commented out the RUN_DEPENDS but py-lxml and py-yaml are required.  I think I might have accidently added py-rst2html5 though, that one looks like it can be removed.

# crm configure
Fatal error:
        No module named lxml
        cannot import name main

    Failed to start crmsh! This is likely due to a broken
    installation or a missing dependency.

    If you are using a packaged version of crmsh, please try
    reinstalling the package. Also check your PYTHONPATH and
    make sure that the crmsh module is reachable.

    Please file an issue describing your installation at
    https://github.com/Clusterlabs/crmsh/issues/ .
    
# crm script describe health
ERROR: script.show: Error when loading script health: Failed to load yaml module: No module named yaml
Comment 6 commit-hook freebsd_committer 2016-03-26 17:21:25 UTC
A commit references this bug:

Author: tijl
Date: Sat Mar 26 17:20:25 UTC 2016
New revision: 411953
URL: https://svnweb.freebsd.org/changeset/ports/411953

Log:
  - Fix RUN_DEPENDS.
  - Remove docbook-xsl dependency now that asciidoc pulls it in.

  PR:		208222
  Submitted by:	David Shane Holden <dpejesh@yahoo.com> (maintainer)

Changes:
  head/net-mgmt/crmsh/Makefile
Comment 7 Tijl Coosemans freebsd_committer 2016-03-26 17:30:29 UTC
(In reply to David Shane Holden from comment #5)
xmllint and xsltproc are actually dependencies of asciidoc.  They have been added to that port now.  The commented RUN_DEPENDS was entirely my fault.  I comment them so I don't have to build/install too many other packages when testing a port.